Index: /exampleparties/timedependentparty/src/main/java/geniusweb/exampleparties/timedependentparty/TimeDependentParty.java
===================================================================
--- /exampleparties/timedependentparty/src/main/java/geniusweb/exampleparties/timedependentparty/TimeDependentParty.java	(revision 23)
+++ /exampleparties/timedependentparty/src/main/java/geniusweb/exampleparties/timedependentparty/TimeDependentParty.java	(revision 24)
@@ -34,5 +34,5 @@
  * brute-force search through the bidspace and can handle bidspace sizes up to
  * 2^31 (approx 1 billion bids). It may take excessive time and run out of time
- * on bidspaces > 10000 bids. In special cases it may even run out of memory,
+ * on bidspaces &gt; 10000 bids. In special cases it may even run out of memory,
  */
 public class TimeDependentParty extends DefaultParty {
@@ -104,9 +104,9 @@
 	 *         behaviour [1]:
 	 * 
-	 *         1. Boulware: For this strategy e < 1 and the initial offer is
+	 *         1. Boulware: For this strategy e &lt; 1 and the initial offer is
 	 *         maintained till time is almost exhausted, when the agent concedes
 	 *         up to its reservation value.
 	 * 
-	 *         2. Conceder: For this strategy e > 1 and the agent goes to its
+	 *         2. Conceder: For this strategy e &gt; 1 and the agent goes to its
 	 *         reservation value very quickly.
 	 * 
Index: /exampleparties/timedependentparty/src/test/java/geniusweb/exampleparties/timedependentparty/TimeDependentPartyTest.java
===================================================================
--- /exampleparties/timedependentparty/src/test/java/geniusweb/exampleparties/timedependentparty/TimeDependentPartyTest.java	(revision 23)
+++ /exampleparties/timedependentparty/src/test/java/geniusweb/exampleparties/timedependentparty/TimeDependentPartyTest.java	(revision 24)
@@ -8,4 +8,5 @@
 import static org.mockito.Mockito.mock;
 import static org.mockito.Mockito.verify;
+import static org.mockito.Mockito.when;
 
 import java.io.IOException;
@@ -35,4 +36,5 @@
 import geniusweb.connection.ConnectionEnd;
 import geniusweb.inform.ActionDone;
+import geniusweb.inform.Agreements;
 import geniusweb.inform.Finished;
 import geniusweb.inform.Inform;
@@ -181,8 +183,11 @@
 		party.connect(connection);
 		party.notifyChange(settings);
-		party.notifyChange(new Finished(null));
+		Agreements agreements = mock(Agreements.class);
+		when(agreements.toString()).thenReturn("agree");
+
+		party.notifyChange(new Finished(agreements));
 
 		verify(reporter).log(eq(Level.INFO),
-				eq("Final ourcome:Finished[null]"));
+				eq("Final ourcome:Finished[agree]"));
 	}
 
Index: /issuevalue/src/main/java/geniusweb/issuevalue/Bid.java
===================================================================
--- /issuevalue/src/main/java/geniusweb/issuevalue/Bid.java	(revision 23)
+++ /issuevalue/src/main/java/geniusweb/issuevalue/Bid.java	(revision 24)
@@ -56,5 +56,5 @@
 
 	/**
-	 * @param issue
+	 * @param issue name of the issue
 	 * @return the value for the given issue, or null if there is no value for
 	 *         the given issue.
@@ -65,6 +65,5 @@
 
 	/**
-	 * 
-	 * @param issue
+	 * @param issue name of the issue
 	 * @return true iff the bid contains a value for the given issue.
 	 */
Index: /issuevalue/src/main/java/geniusweb/issuevalue/Domain.java
===================================================================
--- /issuevalue/src/main/java/geniusweb/issuevalue/Domain.java	(revision 23)
+++ /issuevalue/src/main/java/geniusweb/issuevalue/Domain.java	(revision 24)
@@ -73,5 +73,5 @@
 	/**
 	 * 
-	 * @param domain the domain to check the bid in
+	 * @param bid a Bid
 	 * @return null if this bid is complete, or an error message explaining why
 	 *         the bid is not complete. Complete means that the bid contains a
Index: /issuevalue/src/main/java/geniusweb/issuevalue/ValueSet.java
===================================================================
--- /issuevalue/src/main/java/geniusweb/issuevalue/ValueSet.java	(revision 23)
+++ /issuevalue/src/main/java/geniusweb/issuevalue/ValueSet.java	(revision 24)
@@ -17,8 +17,8 @@
  * by a String)).
  * 
- * @param <T> type of objects in this value set. We do not implement ValueSet
- *        right away because types are lost at runtime. Implementing separate
- *        classes for implementing the ValueSet ensures we can get back the type
- *        at runtime. immutable. Thread safe.
+ * Value is the type of objects in this value set. We do not implement ValueSet
+ * right away because types are lost at runtime. Implementing separate classes
+ * for implementing the ValueSet ensures we can get back the type at runtime.
+ * immutable. Thread safe.
  */
 @JsonDeserialize(using = ValueSetDeserializer.class)
@@ -62,5 +62,6 @@
 			return codec.treeToValue(node, DiscreteValueSet.class);
 		}
-		throw new IllegalArgumentException("Expected 'range' or 'values' property for ValueSet contents");
+		throw new IllegalArgumentException(
+				"Expected 'range' or 'values' property for ValueSet contents");
 	}
 
Index: /opponentmodel/src/main/java/geniusweb/opponentmodel/OpponentModel.java
===================================================================
--- /opponentmodel/src/main/java/geniusweb/opponentmodel/OpponentModel.java	(revision 23)
+++ /opponentmodel/src/main/java/geniusweb/opponentmodel/OpponentModel.java	(revision 24)
@@ -37,6 +37,6 @@
 	/**
 	 * Update this with a new action that was done by the opponent that this
-	 * model is modeling. {@link #with(Domain)} must be called before calling
-	 * this.
+	 * model is modeling. {@link #with(Domain, Bid)} must be called before
+	 * calling this.
 	 * 
 	 * @param action   the new incoming action.
Index: /party/src/main/java/geniusweb/party/Capabilities.java
===================================================================
--- /party/src/main/java/geniusweb/party/Capabilities.java	(revision 23)
+++ /party/src/main/java/geniusweb/party/Capabilities.java	(revision 24)
@@ -14,5 +14,5 @@
 public class Capabilities {
 	/**
-	 * List of supported protocols
+	 * List of supported protocol names
 	 */
 	private final Set<String> behaviours;
@@ -20,5 +20,5 @@
 	/**
 	 * 
-	 * @param protocols the protocols that a Party can handle
+	 * @param behaviours the protocols that a Party can handle
 	 */
 	@JsonCreator
Index: /party/src/test/java/geniusweb/party/inform/FinishedTest.java
===================================================================
--- /party/src/test/java/geniusweb/party/inform/FinishedTest.java	(revision 23)
+++ /party/src/test/java/geniusweb/party/inform/FinishedTest.java	(revision 24)
@@ -89,5 +89,5 @@
 	}
 
-	@Test
+	@Test(expected = NullPointerException.class)
 	public void nullTest() throws URISyntaxException {
 		new Finished(null);
Index: /profile/src/main/java/geniusweb/profile/DefaultPartialOrdering.java
===================================================================
--- /profile/src/main/java/geniusweb/profile/DefaultPartialOrdering.java	(revision 23)
+++ /profile/src/main/java/geniusweb/profile/DefaultPartialOrdering.java	(revision 24)
@@ -37,8 +37,10 @@
 	/**
 	 * 
-	 * @param name
-	 * @param domain
-	 * @param reservationbid
-	 * @param bids
+	 * @param name           name of the profile
+	 * @param domain         the {@link Domain}
+	 * @param reservationbid the reservation bid, this is the minimum acceptable
+	 *                       bid
+	 * @param bids           a list of bids that this ordering contains
+	 *                       comparisons for
 	 * @param isbetterList   a list of tuples [bid1index, bid2index]. It
 	 *                       indicates that bids[bid1index] isbetterthan
Index: /profile/src/main/java/geniusweb/profile/FullOrdering.java
===================================================================
--- /profile/src/main/java/geniusweb/profile/FullOrdering.java	(revision 23)
+++ /profile/src/main/java/geniusweb/profile/FullOrdering.java	(revision 24)
@@ -11,13 +11,17 @@
 	 * @param bid1 the first item's utility/preference
 	 * @param bid2 the second item's utility/preference
-	 * @return true iff bid1 is considered better or equal (&ge;) than bid 2. In all
-	 *         other cases false is returned.
+	 * @return true iff bid1 is considered better or equal (&ge;) than bid 2. In
+	 *         all other cases false is returned.
 	 * 
 	 *         This predicate should be implemented such that
+	 *         <ul>
 	 *         <li>For all b1 and b2, either b1 &ge; b2 or b2 &ge; b1.
 	 *         <li>b &ge; b (every bid is better or equal to itself)
-	 *         <li>If b1&ge;b2 and b2&ge;b1 then the two bids are considered equally
-	 *         good. Note that this differes from a partial order in mathematics.
-	 *         <li>it behaves transitive: if b1&ge;b2 and b2&ge;b3 then b1&ge;b3.
+	 *         <li>If b1&ge;b2 and b2&ge;b1 then the two bids are considered
+	 *         equally good. Note that this differes from a partial order in
+	 *         mathematics.
+	 *         <li>it behaves transitive: if b1&ge;b2 and b2&ge;b3 then
+	 *         b1&ge;b3.
+	 *         </ul>
 	 */
 	@Override
Index: /profile/src/main/java/geniusweb/profile/PartialOrdering.java
===================================================================
--- /profile/src/main/java/geniusweb/profile/PartialOrdering.java	(revision 23)
+++ /profile/src/main/java/geniusweb/profile/PartialOrdering.java	(revision 24)
@@ -13,13 +13,17 @@
 	 * @param bid1 the first item's utility/preference
 	 * @param bid2 the second item's utility/preference
-	 * @return true iff bid1 is considered better or equal (&ge;) than bid 2. In all
-	 *         other cases false is returned. A bid may not have a &ge; relation at
-	 *         all.
+	 * @return true iff bid1 is considered better or equal (&ge;) than bid 2. In
+	 *         all other cases false is returned. A bid may not have a &ge;
+	 *         relation at all.
 	 * 
 	 *         This predicate should be implemented such that
+	 *         <ul>
 	 *         <li>b &ge; b (every bid is better or equal to itself)
-	 *         <li>If b1&ge;b2 and b2&ge;b1 then the two bids are considered equally
-	 *         good. Note that this differes from a partial order in mathematics.
-	 *         <li>it behaves transitive: if b1&ge;b2 and b2&ge;b3 then b1&ge;b3.
+	 *         <li>If b1&ge;b2 and b2&ge;b1 then the two bids are considered
+	 *         equally good. Note that this differes from a partial order in
+	 *         mathematics.
+	 *         <li>it behaves transitive: if b1&ge;b2 and b2&ge;b3 then
+	 *         b1&ge;b3.
+	 *         </ul>
 	 */
 	boolean isPreferredOrEqual(Bid bid1, Bid bid2);
Index: /profile/src/main/java/geniusweb/profile/Profile.java
===================================================================
--- /profile/src/main/java/geniusweb/profile/Profile.java	(revision 23)
+++ /profile/src/main/java/geniusweb/profile/Profile.java	(revision 24)
@@ -36,10 +36,9 @@
 	 * 
 	 * @return a (hypothetical) bid that is the best alternative to a
-	 *         non-agreement. Only bids that are
-	 *         {@link #isPreferredOrEqual(Bid, Bid)} should be accepted. If a
-	 *         negotiation does not reach an agreement, the party can get this
-	 *         offer somewhere else. This replaces the older notion of a
-	 *         "reservation value" and is more general. If null, there is no
-	 *         reservation bid and any agreement is better than no agreement.
+	 *         non-agreement. Only bids that are equal or better should be
+	 *         accepted. If a negotiation does not reach an agreement, the party
+	 *         can get this offer somewhere else. This replaces the older notion
+	 *         of a "reservation value" and is more general. If null, there is
+	 *         no reservation bid and any agreement is better than no agreement.
 	 * 
 	 */
Index: /profile/src/main/java/geniusweb/profile/utilityspace/DiscreteValueSetUtilities.java
===================================================================
--- /profile/src/main/java/geniusweb/profile/utilityspace/DiscreteValueSetUtilities.java	(revision 23)
+++ /profile/src/main/java/geniusweb/profile/utilityspace/DiscreteValueSetUtilities.java	(revision 24)
@@ -20,6 +20,8 @@
  * issue so may need further checking when used for an actual issue. Constructor
  * guarantees that
+ * <ul>
  * <li>All values in the provided map (the utilities) are in [0,1]
  * <li>All keys are proper {@link DiscreteValue}s
+ * </ul>
  */
 @JsonTypeName("discreteutils")
Index: /profile/src/main/java/geniusweb/profile/utilityspace/LinearAdditive.java
===================================================================
--- /profile/src/main/java/geniusweb/profile/utilityspace/LinearAdditive.java	(revision 23)
+++ /profile/src/main/java/geniusweb/profile/utilityspace/LinearAdditive.java	(revision 24)
@@ -22,5 +22,5 @@
 	/**
 	 * 
-	 * @param issue
+	 * @param issue the issue name
 	 * @return the weight of the given issue
 	 */
Index: /profile/src/main/java/geniusweb/profile/utilityspace/LinearAdditiveUtilitySpace.java
===================================================================
--- /profile/src/main/java/geniusweb/profile/utilityspace/LinearAdditiveUtilitySpace.java	(revision 23)
+++ /profile/src/main/java/geniusweb/profile/utilityspace/LinearAdditiveUtilitySpace.java	(revision 24)
@@ -20,7 +20,9 @@
  * 
  * Constructor guarantees that
+ * <ul>
  * <li>weights are normalized to 1
  * <li>the issues in the utility map and weights map match those in the domain
  * <li>The utilities for each issue are proper {@link ValueSetUtilities} objects
+ * </ul>
  */
 @JsonAutoDetect(fieldVisibility = Visibility.ANY, getterVisibility = Visibility.NONE, setterVisibility = Visibility.NONE, isGetterVisibility = Visibility.NONE)
Index: /profile/src/main/java/geniusweb/profile/utilityspace/NumberValueSetUtilities.java
===================================================================
--- /profile/src/main/java/geniusweb/profile/utilityspace/NumberValueSetUtilities.java	(revision 23)
+++ /profile/src/main/java/geniusweb/profile/utilityspace/NumberValueSetUtilities.java	(revision 24)
@@ -40,5 +40,5 @@
 	 * @param lowUtility  the utility of the {@link #lowValue}
 	 * @param highValue   the high value of the {@link Range}. Must be
-	 *                    >lowValue.
+	 *                    &gt;lowValue.
 	 * @param highUtility the utility of the {@link #highValue}
 	 */
Index: /profile/src/main/java/geniusweb/profile/utilityspace/PartsUtilities.java
===================================================================
--- /profile/src/main/java/geniusweb/profile/utilityspace/PartsUtilities.java	(revision 23)
+++ /profile/src/main/java/geniusweb/profile/utilityspace/PartsUtilities.java	(revision 24)
@@ -19,7 +19,7 @@
 /**
  * Contains utilities of a ProductOfValue of a {@link SumOfGroupsUtilitySpace}.
- * So this is similar to a DiscreteValueSetUtilities but instead of issues this
- * contains an (ordered) list of issues. This object serializes to something
- * like <code> 
+ * So this is similar to a {@link DiscreteValueSetUtilities} but instead of
+ * issues this contains an (ordered) list of issues. This object serializes to
+ * something like <code> 
  * {"partsutils":
  * {"issues":["issue1","issue2"],
@@ -29,5 +29,4 @@
  * N issue values, in the same order as the issues list and with "util"
  * containng the utility value of that set of values.
- * <p>
  */
 @JsonAutoDetect(fieldVisibility = Visibility.ANY, getterVisibility = Visibility.NONE, setterVisibility = Visibility.NONE, isGetterVisibility = Visibility.NONE)
@@ -43,5 +42,5 @@
 	/**
 	 * 
-	 * @param issues
+	 * @param issues list of issues
 	 * @param utils  with keys: list of values and value: utility value for that
 	 *               list of values. All list-of-values missing from the map are
Index: /profile/src/main/java/geniusweb/profile/utilityspace/ProductOfValue.java
===================================================================
--- /profile/src/main/java/geniusweb/profile/utilityspace/ProductOfValue.java	(revision 23)
+++ /profile/src/main/java/geniusweb/profile/utilityspace/ProductOfValue.java	(revision 24)
@@ -19,5 +19,5 @@
 
 	/**
-	 * @param values the values to make a product of
+	 * @param newvals the values to make a product of
 	 */
 	@JsonCreator
Index: /profile/src/main/java/geniusweb/profile/utilityspace/SumOfGroupsUtilitySpace.java
===================================================================
--- /profile/src/main/java/geniusweb/profile/utilityspace/SumOfGroupsUtilitySpace.java	(revision 23)
+++ /profile/src/main/java/geniusweb/profile/utilityspace/SumOfGroupsUtilitySpace.java	(revision 24)
@@ -47,18 +47,15 @@
 
 	/**
-	 * @param domain  the {@link Domain} in which this profile is defined.
-	 * @param name    the name of this profile. Must be simple name (a-Z, 0-9)
-	 * @param utils   a map with key: part names (String) and value: the
-	 *                {@link PartsUtilities} for that part. There MUST NOT be a
-	 *                null part name. All values MUST NOT be null. The
-	 *                PartsUtilities must match the
-	 * @param weights the weight of each part, for the computation of the
-	 *                weighted sum. The parts must be the same as those in the
-	 *                utils map. All weights MUST NOT be null. The weights MUST
-	 *                sum to 1.
-	 * @param resBid  the reservation bid. Only bids that are
-	 *                {@link #isPreferredOrEqual(Bid, Bid)} should be accepted.
-	 *                Can be null, meaning that there is no reservation bid and
-	 *                any agreement is better than no agreement.
+	 * @param domain    the {@link Domain} in which this profile is defined.
+	 * @param name      the name of this profile. Must be simple name (a-Z, 0-9)
+	 * @param partutils a map with key: part names (String) and value: the
+	 *                  {@link PartsUtilities} for that part. There MUST NOT be
+	 *                  a null part name. All values MUST NOT be null. The
+	 *                  PartsUtilities must match the
+	 * @param resBid    the reservation bid. Only bids that are
+	 *                  {@link #isPreferredOrEqual(Bid, Bid)} should be
+	 *                  accepted. Can be null, meaning that there is no
+	 *                  reservation bid and any agreement is better than no
+	 *                  agreement.
 	 * @throws NullPointerException     if values are incorrectly null.
 	 * @throws IllegalArgumentException if preconditions not met.
@@ -68,5 +65,4 @@
 			@JsonProperty("name") String name,
 			@JsonProperty("partUtilities") HashMap<String, PartsUtilities> partutils,
-			// @JsonProperty("partWeights") Map<String, BigDecimal> weights,
 			@JsonProperty("reservationBid") Bid resBid) {
 		super(name, domain, resBid);
Index: /profile/src/main/java/geniusweb/profile/utilityspace/ValueSetUtilities.java
===================================================================
--- /profile/src/main/java/geniusweb/profile/utilityspace/ValueSetUtilities.java	(revision 23)
+++ /profile/src/main/java/geniusweb/profile/utilityspace/ValueSetUtilities.java	(revision 24)
@@ -5,9 +5,8 @@
 import com.fasterxml.jackson.annotation.JsonSubTypes;
 import com.fasterxml.jackson.annotation.JsonSubTypes.Type;
+import com.fasterxml.jackson.annotation.JsonTypeInfo;
 
 import geniusweb.issuevalue.Value;
 import geniusweb.issuevalue.ValueSet;
-
-import com.fasterxml.jackson.annotation.JsonTypeInfo;
 
 /**
@@ -16,11 +15,12 @@
  */
 @JsonTypeInfo(use = JsonTypeInfo.Id.NAME, include = JsonTypeInfo.As.WRAPPER_OBJECT)
-@JsonSubTypes({ @Type(value = DiscreteValueSetUtilities.class), @Type(value = NumberValueSetUtilities.class) })
+@JsonSubTypes({ @Type(value = DiscreteValueSetUtilities.class),
+		@Type(value = NumberValueSetUtilities.class) })
 public interface ValueSetUtilities {
 	/**
 	 * 
-	 * @param value
-	 * @return the utility of the given value. MUST be in [0,1]. Should return 0 if
-	 *         the value is unknown.
+	 * @param value the {@link Value} to get the utility for
+	 * @return the utility of the given value. MUST be in [0,1]. Should return 0
+	 *         if the value is unknown.
 	 */
 	BigDecimal getUtility(Value value);
@@ -28,8 +28,8 @@
 	/**
 	 * 
-	 * @param values the valueset that
+	 * @param valueset the valueset that is supposed match with this
 	 * @return null if the ValueSetUtilities fits the given set of values , that
-	 *         means it can give utilities for all possible values in valueset. Or a
-	 *         string containing an explanation why not.
+	 *         means it can give utilities for all possible values in valueset.
+	 *         Or a string containing an explanation why not.
 	 */
 	String isFitting(ValueSet valueset);
Index: /profileconnection/src/main/java/geniusweb/profileconnection/ProfileConnectionFactory.java
===================================================================
--- /profileconnection/src/main/java/geniusweb/profileconnection/ProfileConnectionFactory.java	(revision 23)
+++ /profileconnection/src/main/java/geniusweb/profileconnection/ProfileConnectionFactory.java	(revision 24)
@@ -17,7 +17,10 @@
 
 	/**
-	 * @uri the URI that can provide the {@link Profile}. Support both the ws
-	 *      and the file scheme for the uri.
+	 * @param uri      the URI that can provide the {@link Profile}. Support
+	 *                 both the ws and the file scheme for the uri.
 	 * @param reporter the {@link Reporter} to log issues to
+	 * @return a {@link ProfileInterface}
+	 * @throws IOException         if connection can't be made
+	 * @throws DeploymentException if endpoint can't be published
 	 */
 	public static ProfileInterface create(URI uri, Reporter reporter)
Index: /profileconnection/src/main/java/geniusweb/profileconnection/ProfileInterface.java
===================================================================
--- /profileconnection/src/main/java/geniusweb/profileconnection/ProfileInterface.java	(revision 23)
+++ /profileconnection/src/main/java/geniusweb/profileconnection/ProfileInterface.java	(revision 24)
@@ -14,6 +14,7 @@
 	 * @return the latest version of the profile. May change at any time, after
 	 *         someone updates the version on the server. Call to this may block
-	 *         for limited time if the profile is not yet available. 
-	 *         @throws IOException if profile can not be fetched	 */
+	 *         for limited time if the profile is not yet available.
+	 * @throws IOException if profile can not be fetched
+	 */
 	public Profile getProfile() throws IOException;
 }
Index: /profileconnection/src/main/java/geniusweb/profileconnection/WebsocketProfileConnector.java
===================================================================
--- /profileconnection/src/main/java/geniusweb/profileconnection/WebsocketProfileConnector.java	(revision 23)
+++ /profileconnection/src/main/java/geniusweb/profileconnection/WebsocketProfileConnector.java	(revision 24)
@@ -37,6 +37,10 @@
 	 *                    websockets. Typically ContainerProvider
 	 *                    .getWebSocketContainer()
-	 * @throws DeploymentException
-	 * @throws IOException
+	 * @throws DeploymentException if the annotated endpoint instance is not
+	 *                             valid
+	 * @throws IOException         if there was a network or protocol problem
+	 *                             that prevented the client endpoint being
+	 *                             connected to its server.
+	 * 
 	 */
 	public WebsocketProfileConnector(URI uri, Reporter reporter,
Index: /protocol/src/main/java/geniusweb/protocol/NegoProtocol.java
===================================================================
--- /protocol/src/main/java/geniusweb/protocol/NegoProtocol.java	(revision 23)
+++ /protocol/src/main/java/geniusweb/protocol/NegoProtocol.java	(revision 24)
@@ -13,5 +13,4 @@
 import geniusweb.protocol.partyconnection.ProtocolToPartyConnFactory;
 import geniusweb.protocol.session.SessionProtocol;
-import geniusweb.protocol.session.SessionSettings;
 import geniusweb.protocol.session.SessionState;
 import geniusweb.protocol.tournament.TournamentProtocol;
@@ -30,8 +29,8 @@
  * 
  * A protocol is mutable because the incoming connections cause state changes.
- * But it is recommended to push all changing properties into the state.
+ * But it is recommended to push changing properties into the state so that the
+ * complete state can be recovered and analysed.
  * <p>
  * Because a protocol contains an internal state, it can be used only once.
- * <p>
  * <p>
  * The protocol can emit a {@link CurrentState} event at any time. It should do
@@ -42,5 +41,5 @@
  * which it can resolve received {@link Reference}s. <br>
  * First call to instances <b>must be</b>
- * {@link #start(SessionSettings, ConnectionFactory)}.
+ * {@link #start(ProtocolToPartyConnFactory)}.
  * 
  * <h2>Ensure time deadline</h2>
@@ -48,6 +47,4 @@
  * The protocol also needs to keep an eye on the deadline and take appropriate
  * actions when the deadline is reached. <br>
- * A protocol should emit a {@link SessionEnded} or {@link TournamentEnded}
- * event when it is finished.
  * <p>
  * All protocol implementations must ensure that the deadline is kept and that
@@ -73,6 +70,7 @@
 	 * <p>
 	 * 
-	 * All errors are to be handled through {@link SessionState#getError()}
-	 * except for plain {@link IllegalArgumentException}s. <br>
+	 * All errors are to be handled through {@link SessionState#getResult()}
+	 * except for bugs that use {@link RuntimeException} like
+	 * {@link IllegalArgumentException}s. <br>
 	 * The protocol usually uses the incoming connections to keep running. It
 	 * does not need to run in a separate thread or so.
Index: /protocol/src/main/java/geniusweb/protocol/NegoState.java
===================================================================
--- /protocol/src/main/java/geniusweb/protocol/NegoState.java	(revision 23)
+++ /protocol/src/main/java/geniusweb/protocol/NegoState.java	(revision 24)
@@ -11,6 +11,11 @@
 
 /**
- * The current state of the session/tournament. Must be serializabl;e so that it
- * can be restarted if a crash occurs.
+ * The current state of the session/tournament. Must be (de)serializabl;e so
+ * that it can be restarted if a crash occurs. Notice that this restart
+ * functionality is not yet available.
+ * <p>
+ * In general the state contains all the information to control the flow of the
+ * negotiation: who did what, are we finished, etc. This object may be stored to
+ * record the final result as well
  */
 @JsonAutoDetect(fieldVisibility = Visibility.ANY, getterVisibility = Visibility.NONE, setterVisibility = Visibility.NONE, isGetterVisibility = Visibility.NONE)
Index: /protocol/src/main/java/geniusweb/protocol/ProtocolException.java
===================================================================
--- /protocol/src/main/java/geniusweb/protocol/ProtocolException.java	(revision 23)
+++ /protocol/src/main/java/geniusweb/protocol/ProtocolException.java	(revision 24)
@@ -5,6 +5,5 @@
 
 /**
- * thrown if a {@link Party} violates the protocols (that includes
- * disconnecting).
+ * thrown if a Party violates the protocols (that includes disconnecting).
  */
 public class ProtocolException extends Exception {
Index: /protocol/src/main/java/geniusweb/protocol/partyconnection/ProtocolToPartyConnections.java
===================================================================
--- /protocol/src/main/java/geniusweb/protocol/partyconnection/ProtocolToPartyConnections.java	(revision 23)
+++ /protocol/src/main/java/geniusweb/protocol/partyconnection/ProtocolToPartyConnections.java	(revision 24)
@@ -49,7 +49,11 @@
 
 	/**
-	 * Broadcast info to all parties
+	 * Broadcast info to all parties. Notice that the broadcast immediately
+	 * aborts if an error occurs and remaining parties will not receive the
+	 * event. Therefore it is recommended to instead send to all parties
+	 * individually to ensure all parties are handled individually.
 	 * 
 	 * @param info the {@link Inform} to broadcast
+	 * @throws IOException if the send fails.
 	 */
 	public void broadcast(Inform info) throws IOException {
@@ -68,5 +72,5 @@
 
 	/**
-	 * @param i
+	 * @param i the connection number
 	 * @return the ith connection
 	 */
Index: /protocol/src/main/java/geniusweb/protocol/session/SessionResult.java
===================================================================
--- /protocol/src/main/java/geniusweb/protocol/session/SessionResult.java	(revision 23)
+++ /protocol/src/main/java/geniusweb/protocol/session/SessionResult.java	(revision 24)
@@ -67,6 +67,6 @@
 
 	/**
-	 * 8return the final {@link Agreements} of the session. May be empty, not
-	 * null
+	 * @return the final {@link Agreements} of the session. May be empty, not
+	 *         null
 	 */
 	public Agreements getAgreements() {
Index: /protocol/src/main/java/geniusweb/protocol/session/SessionState.java
===================================================================
--- /protocol/src/main/java/geniusweb/protocol/session/SessionState.java	(revision 23)
+++ /protocol/src/main/java/geniusweb/protocol/session/SessionState.java	(revision 24)
@@ -18,15 +18,9 @@
  * and the parties currently connected. <br>
  * The state checks if transitions (Actions from the party) are following the
- * protocol, and thus implement most of the protocol . See
- * {@link #with(geniusweb.actions.PartyId, Action)}. <br>
- * 
- * Use {@link #with(geniusweb.actions.PartyId, Action)} and
- * {@link #with(geniusweb.actions.PartyId, tudelft.utilities.connection.Connection)}
- * to create a new state <br>
- * 
+ * protocol, and thus implement most of the protocol . <br>
  * 
  * If protocol errors occur, these should be stored in the state and the state
- * should become {@link #isFinal()}. Throwing should happen only in case of a
- * bug.<br>
+ * should become {@link #isFinal(long)}. Throwing should happen only in case of
+ * a bug.<br>
  * 
  * Implementations should be immutable (to ensure thread safety, testability
@@ -66,5 +60,5 @@
 	 * @return the current standing agreement, or null if there is no agreement
 	 *         at this point. An agreement does not necessarily mean
-	 *         {@link #isFinal()}.
+	 *         {@link #isFinal(long)}.
 	 */
 	Agreements getAgreements();
@@ -72,6 +66,7 @@
 	/**
 	 * 
-	 * @return the {@link SessionResult}. Assumes {@link #isFinal(long)}. result
-	 *         may be undefined if not.
+	 * @return the {@link SessionResult} which is a short report of the final
+	 *         outcome. Assumes {@link #isFinal(long)}. result may be undefined
+	 *         if not.
 	 */
 	SessionResult getResult();
